=== debian/changelog ===
mercurial (2.8.2-1ubuntu1) trusty; urgency=medium

  * debian/tests/control:
    - Add "allow-stderr" restriction to "testsuite" as it prints out a "Tested
      with unexpected mercurial lib:" warning.
    - Disable hgsubversion test as it needs access to anonscm.debian.org which
      we don't have in Ubuntu CI.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 16 Jan 2014 17:25:51 +0100

mercurial (2.8.2-1) unstable; urgency=medium

  * New upstream release
  * Drop for_upstream__fix_i18n.patch as it's now included upstream
  * Make uscan verify the signature of downloaded tarballs

 -- Javi Merino <vicho@debian.org>  Thu, 02 Jan 2014 17:31:05 +0100

mercurial (2.8.1-2) unstable; urgency=low

  * Pass -f to rm so that repeated builds succeed (Closes: #731623).
  * Fix installation in the case where there is more than one supported
    version of Python (Closes: #729153).
    - Thanks to Faheem Mitha <faheem@faheem.info> for the patch.
  * Make test-shelve.t more lenient. This should hopefully fix the
    semi-intermittent build failures on some architectures with slower
    buildds.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 08 Dec 2013 02:03:54 +0200
