## mercurial 3.1.1

=== debian/changelog ===
mercurial (3.1.1-1) unstable; urgency=medium

  * New upstream release
  * Remove test_patchbomb from blacklisted tests (fixed upstream in
    http://selenic.com/repo/hg/rev/f8fc5df6a8cf)
  * Add patch from_upstream__test-
    patchbomb_t_work_around_Python_change_d579866d6419_issue4188.patch
    which fixes the patchbomb test

 -- Javi Merino <vicho@debian.org>  Thu, 04 Sep 2014 09:04:08 +0200

mercurial (3.1-2) unstable; urgency=medium

  * gcc and python2.7-dev now needed to pass the testsuite in autopkgtest
  * mercurial-git versions prior to 0.6.1 don't work with mercurial-3.1,
    update breaks
  * Fix hgsubversion autopkgtest
  * Remove darcs from the autopkgtest testsuite as gnutls fails to
    initialize random number generator in the schroot and is very verbose
    about it.

 -- Javi Merino <vicho@debian.org>  Mon, 25 Aug 2014 14:54:24 -0700

mercurial (3.1-1) unstable; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Sat, 02 Aug 2014 11:29:22 +0100

mercurial (3.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Sun, 13 Jul 2014 13:12:26 +0200

mercurial (3.0.1-1) unstable; urgency=medium

  * New upstream release (Closes: #750444)
  * Update breaks of hgview to hgview-common << 1.8.1 (Thanks Julien Cristau)

 -- Javi Merino <vicho@debian.org>  Tue, 17 Jun 2014 22:55:05 +0100

mercurial (3.0-1) unstable; urgency=medium

  * New upstream release
  * Rever breaks of hgsubversion to versions prior to 1.6
  * Upload to unstable

 -- Javi Merino <vicho@debian.org>  Fri, 02 May 2014 08:33:00 +0100

mercurial (3.0~rc1-1) experimental; urgency=medium

  * New upstream release
  * Don't explicitly change the python interpreter in debian/rules, it's
    already handled by dh_python2
  * Drop patch deb_specific__fix_hg-ssh_interpreter.patch as dh_python2
    fixes the interpreter for us
  * Fix "fatal: empty ident name (for <babar@jungle.org>) not allowed"
    error in the mercurial-git autopkgtest
  * Blacklist test-patchbomb from the testsuite autopkgtest as it is
    known to fail
  * Don't install tmplrewrite.py in examples any more.  It was useful
    for the 1.3 transition, but no longer relevant
  * Mercurial 3.0 breaks current hgsubversion (1.6)

 -- Javi Merino <vicho@debian.org>  Sat, 19 Apr 2014 18:53:34 +0100

mercurial (2.9.2-1) unstable; urgency=low

  [ Javi Merino ]
  * New upstream release
  * Fix "please downgrade 'wish' Recommends to Suggests" by removing the
    Recommends from the mercurial package (but keeping the Suggests in
    mercurial-common) (Closes: #741514)
  * Drop Suggests of vim or emacs
  * Fix "autopkgtest hgsubversion shouldn't need network connectivity"
    by making the test create a local svn repository (Closes: #735578)
  * Mercurial 2.9 breaks hgsubversion prior to 1.6

  [ Julien Cristau ]
  * mercurial-common Replaces mercurial << 2.6.3 (the bash_completion file and
    /etc/mercurial/hgrc moved) (Closes: #743288)

 -- Javi Merino <vicho@debian.org>  Thu, 03 Apr 2014 08:11:58 +0100

mercurial (2.9.1-1) unstable; urgency=medium

  * New upstream release
  * mercurial 2.9 breaks current hgsubversion (1.5-1)
  * Blacklist test-patchbomb.t as it failed sporadically in mips buildd
    for 2.9-1 and is now failing for me.

 -- Javi Merino <vicho@debian.org>  Mon, 03 Mar 2014 22:52:12 +0000

mercurial (2.9-1) unstable; urgency=medium

  * blacklist check_pyflakes instead of deleting the test
  * Add "allow-stderr" restriction to "testsuite" as it prints out a
    "Tested with unexpected mercurial lib:" warning.  Thanks to Martin
    Pitt <martin.pitt@ubuntu.com>.

 -- Javi Merino <vicho@debian.org>  Mon, 10 Feb 2014 22:37:30 +0000
