=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mercurial
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
  Javi Merino <vicho@debian.org>,
  Tristan Seligmann <mithrandi@debian.org>
@@ -21,18 +20,20 @@
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mercurial/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/mercurial/trunk/
 X-Python-Version: >= 2.4
+# Can go away once dpkg 1.17.11 hits stable
 XS-Testsuite: autopkgtest
 
 Package: mercurial-common
 Architecture: all 
 Depends: ${misc:Depends}, ${python:Depends}
 Recommends: mercurial (>= ${source:Version}), ca-certificates
-Suggests: wish,
+Suggests:
+ wish,
  python-mysqldb, 
  python-pygments,
  python-openssl
 Breaks: mercurial (<< ${source:Version})
-Replaces: mercurial (<< 1.4)
+Replaces: mercurial (<< 2.6.3)
 Description: easy-to-use, scalable distributed version control system (common files)
  Mercurial is a fast, lightweight Source Control Management system designed
  for efficient handling of very large distributed projects.
@@ -45,13 +46,11 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ucf (>= 2.0020),
  mercurial-common (= ${source:Version})
 Recommends: openssh-client,
- wish,
-Suggests: qct, 
- vim | emacs,
+Suggests: qct,
  kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff
-Breaks: hgsubversion (<< 1.5~),
- hgview (<< 1.7.1-1~),
- mercurial-git (<< 0.4.0-1~),
+Breaks: hgsubversion (<< 1.6~),
+ hgview-common (<< 1.8.1),
+ mercurial-git (<< 0.6.1-1~),
  qct (<< 1.7-2~),
 Description: easy-to-use, scalable distributed version control system
  Mercurial is a fast, lightweight Source Control Management system designed
