=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 		sed -i.deb-backup -e 's/sleep 1/sleep 2/' $(CURDIR)/tests/test-pull-pull-corruption.t
 endif
 
-	http_proxy='' dh_auto_test -- TESTFLAGS="--verbose --timeout 1440 $(PARALLEL_TEST_JOBS)"
+	http_proxy='' dh_auto_test -- TESTFLAGS="--verbose --timeout 1440 $(PARALLEL_TEST_JOBS) --blacklist $(CURDIR)/debian/mercurial.test_blacklist"
 
 	rename.ul .deb-backup '' $(CURDIR)/tests/*
 endif
@@ -48,9 +48,6 @@
 
 install-python%:
 	python$* setup.py install --root $(CURDIR)/debian/tmp --install-layout=deb
-	# Do not hardcode the python interpreter
-	sed -i '1c#!/usr/bin/python' debian/tmp/usr/bin/hg
-
 
 override_dh_install:
 	dh_install
@@ -103,10 +100,6 @@
 	mv mercurial/__version__.py.save mercurial/__version__.py
 	$(RM) -rv tmp/
 
-override_dh_clean:
-	dh_clean
-	-rm -f tests/test-check-pyflakes.t
-
 mercurial/__version__.py:
 	@echo "$@ is missing (you probably call 'make clean' directly)."
 	@echo "Restore it from sources before building the package"
