=== debian/changelog ===
mercurial (3.1.2-2) unstable; urgency=high

  * Fix "CVE-2014-9390: Errors in handling case-sensitive directories
    allow for remote code execution on pull" by adding patches
    from_upstream__encoding_add_hfsignoreclean_to_clean_out_HFS-ignored_characters.patch,
    from_upstream__pathauditor_check_for_codepoints_ignored_on_OS_X.patch,
    and
    from_upstream__pathauditor_check_for_Windows_shortname_aliases.patch
    (Closes: #773640)

 -- Javi Merino <vicho@debian.org>  Tue, 23 Dec 2014 16:01:50 +0100

mercurial (3.1.2-1) unstable; urgency=medium

  * New upstream version
  * Use excanvas.js from libjs-excanvas instead of shipping a copy in
    the package

 -- Javi Merino <vicho@debian.org>  Thu, 02 Oct 2014 23:34:41 +0100
