=== debian/changelog ===
mercurial (3.4-1ubuntu1) wily; urgency=medium

  * debian/patches/fix_tz_ftbfs.patch: fix test failure caused by timezone
    parsing oddity with newer glibc.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Jun 2015 09:11:53 -0400

mercurial (3.4-1) unstable; urgency=medium

  * New upstream release
  * Delete patch for_upstream__fix_typo_in_man_page.patch as it is applied
    upstream
  * Update breaks of hgsubversion to versions prior to 1.8-1
  * Upload to unstable

 -- Javi Merino <vicho@debian.org>  Sat, 02 May 2015 10:01:10 +0100

mercurial (3.4~rc1-1) experimental; urgency=medium

  * New upstream release
  * Delete patch for_upstream__lenient_test-shelve.patch which is
    applied upstream
  * Remove trailing spaces from empty lines in the descriptions.  It
    upsets lintian
  * Add patch for_upstream__fix_typo_in_man_page.patch to fix a typo
    spotted by lintian

 -- Javi Merino <vicho@debian.org>  Sun, 19 Apr 2015 15:41:25 +0100

mercurial (3.3.2-1) experimental; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Fri, 13 Mar 2015 13:38:04 +0000

mercurial (3.3-1) experimental; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Mon, 09 Feb 2015 05:48:23 +0800

mercurial (3.3~rc1-1) experimental; urgency=medium

  * New upstream release
  * move the installation of mergetools.rc to mercurial-common.install

 -- Javi Merino <vicho@debian.org>  Sat, 31 Jan 2015 17:48:59 +0100

mercurial (3.2.3-1) experimental; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Fri, 19 Dec 2014 22:29:28 +0000

mercurial (3.2.1-1) experimental; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Fri, 14 Nov 2014 08:35:25 +0000

mercurial (3.2-1) experimental; urgency=medium

  * New upstream release (Closes: #768022)
  * Replace deb_specific__support_templates_in_fsh.patch,
    deb_specific__support_help_in_fhs.patch and
    deb_specific__support_mo_in_fhs.patch with
    deb_specific__fix_fhs_paths.py as the mechanism to specify the path to
    datafiles has been unified.
  * Remove from_upstream__test-
    patchbomb_t_work_around_Python_change_d579866d6419_issue4188.patch
    as it is now included upstream
  * Bump standards-version to 3.9.6 (no change needed)
  * Build-depend on dh-python
  * Simplify installation of /etc/mercurial/hgrc.d/cacerts.rc
  * Remove sample.hgrc from the examples as it's now removed in upstream
    (full of bad suggestions)
  * Update breaks for mercurial-git and hgsubversion: current versions
    don't work

 -- Javi Merino <vicho@debian.org>  Mon, 10 Nov 2014 08:34:13 +0000
