=== debian/rules ===
--- 
+++ 
@@ -65,15 +65,6 @@
 		-type d -empty -delete
 
 install-archindep:
-	# Install system-wide conffiles.  Note the rename from .hgrc
-	# to .rc, which dh_install can't do if you list the file in
-	# mercurial-common.install
-	install -m 644 \
-		contrib/mergetools.hgrc \
-		$(CURDIR)/debian/mercurial-common/etc/mercurial/hgrc.d/mergetools.rc
-	install -m 644 \
-		debian/cacerts.hgrc \
-		$(CURDIR)/debian/mercurial-common/etc/mercurial/hgrc.d/cacerts.rc
 	# Move templates and help installed by setup.py to their FHS-correct location
 	mv $(CURDIR)/debian/mercurial-common/usr/lib/python$(PYVER_DEFAULT)/dist-packages/mercurial/templates \
 	   $(CURDIR)/debian/mercurial-common/usr/lib/python$(PYVER_DEFAULT)/dist-packages/mercurial/help \
@@ -85,6 +76,8 @@
 	-rm -rf $(CURDIR)/debian/mercurial-common/usr/lib/python*/dist-packages/mercurial/templates \
 	        $(CURDIR)/debian/mercurial-common/usr/lib/python*/dist-packages/mercurial/help \
 	        $(CURDIR)/debian/mercurial-common/usr/lib/python*/dist-packages/mercurial/locale \
+	# excanvas.js is provided by libjs-excanvas
+	rm $(CURDIR)/debian/mercurial-common/usr/share/mercurial/templates/static/excanvas.js
 	# remove arch-dependent python stuff
 	find debian/mercurial-common/usr/lib \
 		-name '*.so' ! -type d -delete , \
