=== debian/control ===
--- 
+++ 
@@ -22,8 +22,6 @@
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mercurial/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/mercurial/trunk/
 X-Python-Version: >= 2.4
-# Can go away once dpkg 1.17.11 hits stable
-XS-Testsuite: autopkgtest
 
 Package: mercurial-common
 Architecture: all 
@@ -53,9 +51,9 @@
 Recommends: openssh-client,
 Suggests: qct,
  kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff
-Breaks: hgsubversion (<< 1.8-1),
+Breaks: hgsubversion (<= 1.8.3-1),
  hgview-common (<< 1.8.1),
- mercurial-git (<= 0.6.1-2),
+ mercurial-git (<< 0.8.1-3),
  qct (<< 1.7-2~),
 Description: easy-to-use, scalable distributed version control system
  Mercurial is a fast, lightweight Source Control Management system designed
