=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 
 	http_proxy='' dh_auto_test -- TESTFLAGS="--verbose --timeout 1440 $(PARALLEL_TEST_JOBS) --blacklist $(CURDIR)/debian/mercurial.test_blacklist"
 
-	rename.ul .deb-backup '' $(CURDIR)/tests/*
+	rename 's/\.deb-backup$$//' $(CURDIR)/tests/*
 endif
 
 override_dh_auto_install: $(PYVERS:%=install-python%)
