## mercurial 3.6.2

=== Makefile ===
--- 
+++ 
@@ -50,6 +50,9 @@
 
 build:
 	$(PYTHON) setup.py $(PURE) build $(COMPILER:%=-c %)
+
+wheel:
+	FORCE_SETUPTOOLS=1 $(PYTHON) setup.py $(PURE) bdist_wheel $(COMPILER:%=-c %)
 
 doc:
 	$(MAKE) -C doc
@@ -157,6 +160,14 @@
 	N=`cd dist && echo mercurial-*.mpkg | sed 's,\.mpkg$$,,'` && hdiutil create -srcfolder dist/$$N.mpkg/ -scrub -volname "$$N" -ov packages/osx/$$N.dmg
 	rm -rf dist/mercurial-*.mpkg
 
+deb:
+	mkdir -p packages/debian-unknown
+	contrib/builddeb --release unknown
+
+docker-debian-jessie:
+	mkdir -p packages/debian-jessie
+	contrib/dockerdeb jessie
+
 fedora20:
 	mkdir -p packages/fedora20
 	contrib/buildrpm
