=== debian/changelog ===
mercurial (3.6.2-1ubuntu2) xenial; urgency=medium

  * debian/tests/mercurial-git: Redirect stderr of git clone and git push
    to stdout, to fix failure.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 17 Dec 2015 10:40:57 +0300

mercurial (3.6.2-1ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable, remaining change:
    - debian/patches/fix_tz_ftbfs.patch: fix test failure caused by
      timezone parsing oddity with newer glibc.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 16 Dec 2015 18:49:21 +0300

mercurial (3.6.2-1) unstable; urgency=medium

  * New upstream release
  * Improve autopkgtest for mercurial-git to test pushing commits from the
    mercurial clone to git
  * Update breaks of hgsubversion.  hgsubversion 1.8.3-2 works with
    mercurial 3.6

 -- Javi Merino <vicho@debian.org>  Fri, 04 Dec 2015 07:37:49 +0000

mercurial (3.6.1-1) unstable; urgency=medium

  * New upstream release
  * mercurial 3.6 breaks mercurial-crecord 0.20150626-1
  * mercurial 3.6 breaks mercurial-git prior to 0.8.3-1

 -- Javi Merino <vicho@debian.org>  Thu, 26 Nov 2015 08:30:18 +0000
