=== debian/control ===
--- 
+++ 
@@ -51,10 +51,11 @@
 Recommends: openssh-client,
 Suggests: qct,
  kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff
-Breaks: hgsubversion (<= 1.8.3-1),
+Breaks: hgsubversion (<< 1.8.3-2),
  hgview-common (<< 1.8.1),
- mercurial-git (<< 0.8.1-3),
+ mercurial-git (<< 0.8.3-1),
  qct (<< 1.7-2~),
+ mercurial-crecord (<= 0.20140626-1),
 Description: easy-to-use, scalable distributed version control system
  Mercurial is a fast, lightweight Source Control Management system designed
  for efficient handling of very large distributed projects.
