=== debian/changelog ===
mercurial (3.7.3-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/fix_tz_ftbfs.patch: fix test failure caused by
      timezone parsing oddity with newer glibc.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Apr 2016 14:53:10 +0200

mercurial (3.7.3-1) unstable; urgency=medium

  * New security upstream release fixes CVE-2016-3068, CVE-2016-3069
    and CVE-2016-3630.
  * Fix "FTBFS when built with dpkg-buildpackage -A".  Thanks Julien
    Cristau for the patch (Closes: #807021)
  * Avoid allow-stderr in mercurial-git autopkgtest

 -- Javi Merino <vicho@debian.org>  Wed, 30 Mar 2016 08:20:07 +0100

mercurial (3.7.2-2) unstable; urgency=medium

  * Don't run test-clonebundle.t when building.  Reproducible builds don't
    setup name resolution (Closes: #809770)

 -- Javi Merino <vicho@debian.org>  Sat, 05 Mar 2016 12:08:37 +0000

mercurial (3.7.2-1) unstable; urgency=medium

  * New upstream release
  * Blacklist test-parse-date.t .  It fails on some of the chroots of
    some architectures
  * Bump standards-version to 3.9.6 (no change needed)
  * Use https for vcs-browser.  Thanks lintian
  * Update homepage

 -- Javi Merino <vicho@debian.org>  Wed, 02 Mar 2016 22:28:36 +0000

mercurial (3.7.1-1) unstable; urgency=medium

  * New upstream release
  * Fix "mercurial-git autopkgtest fails because of stderr" by allowing
    the test to output to stderr (Closes: #808376)
  * Allow the hgsubversion test to output to stderr

 -- Javi Merino <vicho@debian.org>  Thu, 11 Feb 2016 22:43:27 +0000
