=== debian/control ===
--- 
+++ 
@@ -17,10 +17,10 @@
  unzip,
  bash-completion,
  netbase,
-Standards-Version: 3.9.6
-Homepage: http://mercurial.selenic.com/
+Standards-Version: 3.9.7
+Homepage: https://www.mercurial-scm.org/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mercurial/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/mercurial/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/mercurial/trunk/
 X-Python-Version: >= 2.4
 
 Package: mercurial-common
