=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 Tests: hgsubversion
 Depends: @, hgsubversion
+Restrictions: allow-stderr
 
 Tests: mercurial-git
 Depends: @, mercurial-git, git
