## mercurial 3.8.1

=== debian/changelog ===
mercurial (3.8.1-1) unstable; urgency=medium

  * New upstream release (Closes: #737498)
  * Fixes CVE-2016-3105
  * Bump standards-version to 3.9.8 (no change needed)
  * Re-enable test-parse-date.t in the test-suite
  * mercurial 3.8.1 breaks current hgsubversion and mercurial-git

 -- Javi Merino <vicho@debian.org>  Tue, 03 May 2016 07:45:02 +0100
