=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mercurial
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
  Javi Merino <vicho@debian.org>,
  Tristan Seligmann <mithrandi@debian.org>
@@ -17,7 +16,7 @@
  unzip,
  bash-completion,
  netbase,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://www.mercurial-scm.org/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mercurial/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/mercurial/trunk/
@@ -51,9 +50,9 @@
 Recommends: openssh-client,
 Suggests: qct,
  kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff
-Breaks: hgsubversion (<< 1.8.3-2),
+Breaks: hgsubversion (<= 1.8.5-1),
  hgview-common (<< 1.8.1),
- mercurial-git (<< 0.8.3-1),
+ mercurial-git (<= 0.8.5-2),
  qct (<< 1.7-2~),
  mercurial-crecord (<= 0.20140626-1),
 Description: easy-to-use, scalable distributed version control system
