## mercurial 3.8.2

=== debian/changelog ===
mercurial (3.8.2-1) unstable; urgency=medium

  * New upstream release
  * revert mercurial-git breaks to 0.8.3-1
  * update debian/watch URL

 -- Javi Merino <vicho@debian.org>  Fri, 27 May 2016 22:01:25 +0200
